Skip to main content
POST
Create expenses and queue for sync

Authorizations

X-API-Key
string
header
required

Your application's API key (sk_development_… or sk_production_…). An optional X-Signature / X-Timestamp HMAC pair may additionally be sent for stronger security — see Authentication.

Path Parameters

connectionId
string<uuid>
required

The connection to the accounting system to write through.

Body

application/json
Minimum array length: 1
id
string
required

Your own identifier for this expense.

type
string
required
Example:

"Payment"

issueDate
string<date-time>
required
currency
string
required
Example:

"USD"

currencyRate
number
required
merchantName
string
required
lines
object[]
required
Minimum array length: 1
contactRef
object
bankAccountRef
object
notes
string
postAsDraft
boolean
default:false

Response

201 - application/json

Queued

syncBatchId
string<uuid>
totalExpenses
integer